io.vertx.rxjava3.openapi.contract

## Class RequestBody

- java.lang.Object
- - io.vertx.rxjava3.openapi.contract.RequestBody

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate

      public class RequestBody
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  This interface represents the most important attributes of an OpenAPI Operation.
  Operation V3.1
  Operation V3.0

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<RequestBody>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestBody(Object delegate)`
    `RequestBody(RequestBody delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MediaType` | `determineContentType(String mediaTypeIdentifier)` This method tries to determine the best fitting `MediaType` based on the passed content type.
    `boolean` | `equals(Object o)`
    `Map<String,MediaType>` | `getContent()`
    `RequestBody` | `getDelegate()`
    `int` | `hashCode()`
    `boolean` | `isRequired()`
    `static RequestBody` | `newInstance(RequestBody arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<RequestBody> __TYPE_ARG

  - ### Constructor Detail

    - #### RequestBody

          public RequestBody(RequestBody delegate)

    - #### RequestBody

          public RequestBody(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public RequestBody getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### isRequired

          public boolean isRequired()

      Returns:
        true if the request body is required in the request, otherwise false.

    - #### getContent

          public Map<String,MediaType> getContent()

      Returns:
        a map containing descriptions of potential request payloads. The key is a media type or media type range and the value describes it.

    - #### determineContentType

          public MediaType determineContentType(String mediaTypeIdentifier)

      This method tries to determine the best fitting `MediaType` based on the passed content type.
      This is necessary, to avoid that an incoming request of type application/json; charset=utf-8 is failing, because we only declared application/json in the OpenAPI spec.
      Important: If application/json is declared in the contract, application/json; charset=utf-8 would fit, but not the other way around.
      Parameters:
        `mediaTypeIdentifier` -
      Returns:
        A fitting media type, or null.

    - #### newInstance

          public static RequestBody newInstance(RequestBody arg)

Copyright © 2025 Eclipse. All rights reserved.